|
HDIV API 2.0.4 | |||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||
java.lang.Objectorg.apache.struts.upload.CommonsMultipartRequestHandler
org.hdiv.upload.HDIVMultipartRequestHandler
public class HDIVMultipartRequestHandler
| Field Summary | |
|---|---|
protected static org.apache.commons.logging.Log |
log
Commons Logging instance. |
| Fields inherited from class org.apache.struts.upload.CommonsMultipartRequestHandler |
|---|
DEFAULT_SIZE_MAX, DEFAULT_SIZE_THRESHOLD |
| Fields inherited from interface org.apache.struts.upload.MultipartRequestHandler |
|---|
ATTRIBUTE_MAX_LENGTH_EXCEEDED |
| Constructor Summary | |
|---|---|
HDIVMultipartRequestHandler()
|
|
| Method Summary | |
|---|---|
protected void |
addFileParameter(java.util.List items)
Adds a file parameter to the set of file parameters for this request and also to the list of all parameters. |
protected void |
addTextParameter(javax.servlet.http.HttpServletRequest request,
java.lang.String name,
java.lang.String[] value)
Adds a regular text parameter to the set of text parameters for this request and also to the list of all parameters. |
java.util.Hashtable |
getAllElements()
Returns a hash table containing both text and file request parameters. |
java.util.Hashtable |
getFileElements()
Returns a hash table containing the file (that is, non-text) request parameters. |
java.util.Hashtable |
getTextElements()
Returns a hash table containing the text (that is, non-file) request parameters. |
void |
handleRequest(javax.servlet.http.HttpServletRequest request)
Parses the input stream and partitions the parsed items into a set of form fields and a set of file items. |
void |
rollback()
Cleans up when a problem occurs during request processing. |
| Methods inherited from class org.apache.struts.upload.CommonsMultipartRequestHandler |
|---|
addFileParameter, addTextParameter, convertSizeToBytes, finish, getMapping, getRepositoryPath, getServlet, getSizeMax, getSizeThreshold, setMapping, setServlet |
| Methods inherited from class java.lang.Object |
|---|
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait |
| Field Detail |
|---|
protected static org.apache.commons.logging.Log log
| Constructor Detail |
|---|
public HDIVMultipartRequestHandler()
| Method Detail |
|---|
public void handleRequest(javax.servlet.http.HttpServletRequest request)
throws javax.servlet.ServletException
FileItem instances to Struts
FormFile instances.
handleRequest in interface org.apache.struts.upload.MultipartRequestHandlerhandleRequest in class org.apache.struts.upload.CommonsMultipartRequestHandlerrequest - The multipart request to be processed.
javax.servlet.ServletException - if an unrecoverable error occurs.
protected void addTextParameter(javax.servlet.http.HttpServletRequest request,
java.lang.String name,
java.lang.String[] value)
request - The request in which the parameter was specified.item - The file item for the parameter to add.protected void addFileParameter(java.util.List items)
items - file items for the parameter to addpublic java.util.Hashtable getTextElements()
getTextElements in interface org.apache.struts.upload.MultipartRequestHandlergetTextElements in class org.apache.struts.upload.CommonsMultipartRequestHandlerpublic java.util.Hashtable getFileElements()
getFileElements in interface org.apache.struts.upload.MultipartRequestHandlergetFileElements in class org.apache.struts.upload.CommonsMultipartRequestHandlerpublic java.util.Hashtable getAllElements()
getAllElements in interface org.apache.struts.upload.MultipartRequestHandlergetAllElements in class org.apache.struts.upload.CommonsMultipartRequestHandlerpublic void rollback()
rollback in interface org.apache.struts.upload.MultipartRequestHandlerrollback in class org.apache.struts.upload.CommonsMultipartRequestHandler
|
HDIV 2.0.4 | |||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||